Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class ParametersWithIV

    java.lang.Object
      org.bouncycastle.crypto.params.ParametersWithIV

All Implemented Interfaces:
  CipherParameters

    public class ParametersWithIV

extends java.lang.Object
implements CipherParameters

Constructor Summary
`ParametersWithIV(CipherParameters parameters, byte[] iv)`
`ParametersWithIV(CipherParameters parameters, byte[] iv, int ivOff, int ivLen)`

Method Summary
`byte[]` `getIV()`
`CipherParameters` `getParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametersWithIV

    public ParametersWithIV(CipherParameters parameters,
                            byte[] iv)

### ParametersWithIV

    public ParametersWithIV(CipherParameters parameters,
                            byte[] iv,
                            int ivOff,
                            int ivLen)

Method Detail

### getIV

    public byte[] getIV()

### getParameters

    public CipherParameters getParameters()

Bouncy Castle Cryptography Library 1.45